Bug 164366 - tftp server doesn't allow overwriting as per man page
Summary: tftp server doesn't allow overwriting as per man page
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: tftp (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-27 10:26 UTC by P Fudd
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 11:00:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description P Fudd 2005-07-27 10:26:03 UTC
Description of problem:
According to the man page, 'touch /tftpboot/somefile; chmod 666
/tftpboot/somefile' should allow you to 'put somefile' using tftp.

Version-Release number of selected component (if applicable):
tftp-server-0.40-6

How reproducible:
Always

Steps to Reproduce:
1. Enable tftpd (chkconfig tftp on; service xinetd restart)
2. touch /tftpboot/somefile; chmod 666 /tftpboot/somefile
3. tftp localhost
4. put /etc/issue somefile
  
Actual results:
File not found

Expected results:
Contents should be put successfully

Additional info:
Problem is in server, not client.
strace bombs with buffer overflow error when tracing tftpd.

Comment 1 Radek Vokal 2005-08-08 12:03:41 UTC
The steps above work for me with SELinux turned off. When I turn on the SELinux
with `setenforce 1` the file is not uploaded with "Permission denied" error. Can
you please retest this issue with SELinux turned off? (eg. add `setenforce 0`
before your testcase) 




Note You need to log in before you can comment on or make changes to this bug.